/* stylelint-disable no-descending-specificity */

.edit-recipient-email-modal {
  min-width: 576px;
  max-width: 576px;
  margin: 100px auto;

  &__form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    &__field {
      width: 100%;
      margin: 12px 0;

      label {
        display: block;
      }

      input {
        box-sizing: border-box;
        width: 100%;
        height: 36px;
      }

      &__info-panel {
        align-items: center;
        background-color: $pix-primary-10;
        border-radius: 4px;
        color: $pix-primary-70;
        display: flex;
        gap: 16px;
        margin-top: 8px;
        padding: 12px 16px;
      }
    }
  }

  &__actions {
    background-color: $pix-neutral-10;
    padding: 16px 0;
    display: flex;
    justify-content: flex-end;
    border-radius: 0 0 5px 5px;
    width: 100%;

    .pix-button {
      margin-left: 16px;
    }
  }
}
